Bug 6665 - Cut/Paste operation doesn`t work on initializers!
Cut/Paste operation doesn`t work on initializers!
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
All All
: P1 (vote)
: TBD
Assigned To: Jan Becicka
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-12 22:45 UTC by Jan Becicka
Modified: 2008-12-23 10:37 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Becicka 2000-05-12 22:45:00 UTC
Try to Cut initializer and Paste it into another class. Initializer is properly removed from source class, but into target class is inserted only empty body!!!

[Svata] The origin of the bug predates FCS. There`s bad ordering of operations in Paste implementation on ClassElement nodes so the initializer is deleted first, then inserted at the new place -- but
its body is lost.
Comment 1 Quality Engineering 2003-07-02 17:17:58 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo